net.sourceforge.pmd.lang.java.symboltable

## Class NameFinder

- java.lang.Object
- - net.sourceforge.pmd.lang.java.symboltable.NameFinder

-     public class NameFinder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameFinder(ASTPrimaryExpression node)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<NameOccurrence>` | `getNames()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NameFinder

          public NameFinder(ASTPrimaryExpression node)

  - ### Method Detail

    - #### getNames

          public List<NameOccurrence> getNames()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2002-2013 InfoEther. All Rights Reserved.